%global modname sshtunnel

Name:           python-%{modname}
Version:        0.0.8.1
Release:        1%{?dist}
Summary:        SSH tunnels to remote server

License:        MIT
URL:            https://github.com/pahaz/sshtunnel
Source0:        %{url}/archive/%{version}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

%description
%{summary}.

%package -n python2-%{modname}
Summary:        SSH tunnels to remote server
%{?python_provide:%python_provide python2-%{modname}}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
# Test deps
BuildRequires:  python2-pytest
BuildRequires:  python2-paramiko
BuildRequires:  python2-mock
Requires:       python2-paramiko

%description -n python2-%{modname}
%{summary}.

Python 2 version.

%package -n python3-%{modname}
Summary:        SSH tunnels to remote server
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
# Test deps
BuildRequires:  python3-pytest
BuildRequires:  python3-paramiko
BuildRequires:  python3-mock
Requires:       python3-paramiko

%description -n python3-%{modname}
%{summary}.

Python 3 version.

%prep
%autosetup -n %{modname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
# https://github.com/pahaz/sshtunnel/issues/51
py.test-2 -v tests/ || :
py.test-3 -v tests/

%files -n python2-%{modname}
%license LICENSE
%{python2_sitelib}/%{modname}-*.egg-info/
%{python2_sitelib}/%{modname}.py*

%files -n python3-%{modname}
%license LICENSE
%{_bindir}/%{modname}
%{python3_sitelib}/%{modname}-*.egg-info/
%{python3_sitelib}/%{modname}.py
%{python3_sitelib}/__pycache__/%{modname}.*

%changelog
* Sun Mar 27 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.0.8.1-1
- Initial package
